=== TeXmacs/CMakeLists.txt ===
if (WIN32)
  install (DIRECTORY . DESTINATION ${CMAKE_INSTALL_PREFIX}
    FILE_PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    PATTERN "include" EXCLUDE
    PATTERN "CMakeLists.txt" EXCLUDE)
else (WIN32)
  install(DIRECTORY . DESTINATION share/TeXmacs
    FILE_PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    PATTERN "include" EXCLUDE
    PATTERN "CMakeLists.txt" EXCLUDE)
endif (WIN32)
