=== debian/changelog ===
texmacs (1:2.1.4+ds-4) unstable; urgency=medium

  * FTBFS-with-gcc-15 fix release (see introduced patch).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-gcc15-compile_error_in_hashtree_cpp.path, introduce
        (Closes: #1097987).
    - d/control:
      - Maintainer field, use now canonical team email address
        (thanks to Alexandre Detiste <tchet@debian.org>);
      - Package texmacs-bin, Multi-Arch field, uncomment;
      - Standards-Version, bump to 4.7.2 (no change);
    - d/README.source, discard as obsoleted material
        (thanks to Alexandre Detiste <tchet@debian.org>;
    - d/copyright:
      - old-fsf-address-in-copyright-file issue, fix.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Sep 2025 18:16:52 +0000

texmacs (1:2.1.4+ds-3) unstable; urgency=medium

  * Debianization:
    - AppStream error fix:
      - d/TeXmacs.xpm, new 64x64 version converted to XPM from
        TeXmacs/misc/images/texmacs.svg;
      - texmacs-bin:
        - now provides /usr/share/icons/hicolor/64x64/apps/TeXmacs.xpm
          which is actually d/TeXmacs.xpm.
      - texmacs-base:
         - now provides /usr/share/icons/hicolor/scalable/apps/TeXmacs.svg
           as link to /usr/share/texmacs/misc/images/texmacs.svg;
    - Multiarch hinter fix:
       -d/control:
        - texmacs-bin Package, comment Multi-Arch field (u/b/texmacs
          script could be architecture independent);
    - Reproducibility fix:
      - d/patches/*:
        - upstream-reproducible-PDFHummus-SOURCE_DATE_EPOCH.patch, revisit;
        - debianization.patch, force empty CONFIG_USER.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Oct 2024 22:11:42 +0000

texmacs (1:2.1.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-qt_gui_update-proper_type-time_t.patch,
        introduce (Closes: #1085106), thanks to Adrian Bunk <bunk@debian.org>
        for isolating the issue;
    - d/texmacs-bin.lintian-overrides, discard false-positive overrides.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Oct 2024 16:27:37 +0000

texmacs (1:2.1.4+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends list, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 14 Oct 2024 16:19:16 +0000

texmacs (1:2.1.4+ds-1~exp1) experimental; urgency=medium

  * New micro release re-initialized almost[1] from scratch (Closes: #1072829).
    [1] the former patches that were still relevant were refreshed but renamed.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 07 Sep 2024 20:41:48 +0000

texmacs (1:2.1.2-1) experimental; urgency=medium

  * Team upload.

  [ Jerome Benoit ]
  * debian/patches/*:
    - d/p/90_guile3.patch, introduce;
    - d/p/zz_adhoc_autoreconf.patch, refresh configure
      and src/System/config.in ;
    - d/p/15_clang.patch, neutralize;
  * debian/control:
    - Build-Depends list, refresh;
  * debian/rules, adjust.

  [ Doug Torrance ]
  * New upstream release.
  * debian/patches/*
    - Refresh for new upstream version
  * debian/patches/13_rsvg.patch
    - Remove patch; applied upstream.
  * debian/source/options
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update download link and bump to version 4 format.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2024 22:51:39 +0000

texmacs (1:1.99.1-3) experimental; urgency=medium

  * Add an override of lintian error.  Thanks Jakub Wilk <jwilk AT debian.org>.
   - I noticed typos for an override file of texmacs-common so fixed them.
   - Also I noticed typo in texmacs-common.dirs so fixed it.
  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    Because the former version was rejected, close this again. (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 04 Aug 2014 10:26:19 +0900

texmacs (1:1.99.1-2) experimental; urgency=medium

  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 31 Jul 2014 14:59:49 +0900

texmacs (1:1.99.1-1) experimental; urgency=low

  * New upstream release
  * Stopped to apply 01_american.patch, 05_fixRd.patch and 09_ipa.patch
  * Updated control file (migrated to guile-1.8 even on ia64).
    (Closes: #731787)
  * Removed fonts which would be non-distributable.  (Closes: #711383)

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 10 Jan 2014 12:23:58 +0900

texmacs (1:1.0.7.18-1) unstable; urgency=low

  * New Upstream Release.
  * Removed 05_fixRd.patch and updated 01_american.patch, 09_ipa.patch
    10_tex-files.cpp.patch

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 21 Feb 2013 11:51:59 +0900

texmacs (1:1.0.7.16+1-1) unstable; urgency=low

  * Dropped i386 binary without sources, maxima_filter, from orig.tar.gz
    and so changed version number of orig.tar.gz from 1.0.7.16 to 1.0.7.16+1
    and also applied a patch by Adam Conrad.  (Closes: #699132)
    Thanks to Adam Conrad <adconrad AT debian DOT org>
   - Make debian/fixsh operate on debian/texmacs instead of debian/tmp,
     and move it to binary-post-install/texmacs:: to keep consistency
     when not building arch-indep packages, as on the Dbeian buildds.
   - Remove maxima_filter in clean to fix FTBFS on on non-i386 arches.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 30 Jan 2013 10:28:20 +0900

texmacs (1:1.0.7.16-1) unstable; urgency=low

  * New Upstream Release.
   - In tm-print.scm, there is "xdg-open" command so now the print preview
     should work.  (Closes: #695638)
  * Remove packages/macos/Base.xcconfig by clean target of rules.
    It seems it was misc/bundle/Base.xcconfig in the past and removed
    by clean target of rules.
  * Updated patches/11_desktop-file.patch
  * Fixed relations between texmacs-common and texmacs-extra-fonts.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 18 Jan 2013 13:38:20 +0900

texmacs (1:1.0.7.15-2) unstable; urgency=low


