=== debian/control ===
Source: texmacs
Section: editors
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 libtool,
 pkgconf,
 xdg-utils,
 python3,
 libexpat1-dev,
 guile-3.0-dev,
 libpng-dev,
 libfreetype-dev,
# libcairo2-dev,
 libimlib2-dev,
 libsqlite3-dev,
 libjpeg-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 libltdl-dev,
 libgmp-dev,
 plocate,
 tinyscheme,
# libjpeg-progs,
# librsvg2-bin,
# libtiff-tools,
 ghostscript,
# imagemagick,
 aspell | ispell,
# netpbm,
 r-base-core (>= 2.0),
 xfig,
 fig2ps,
 fonts-stix,
 fonts-texgyre,
 fonts-texgyre-math,
 fonts-linuxlibertine,
 cm-super,
 texlive-base,
 texlive-fonts-recommended,
 texlive-lang-greek,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-lang-european,
 texlive-fonts-extra,
 texlive-latex-extra,
 texlive-science,
 texlive-pictures,
 feynmf,
 xvfb,
 xauth
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/science-team/texmacs.git
Vcs-Browser: https://salsa.debian.org/science-team/texmacs
Homepage: https://www.texmacs.org

Package: texmacs
Architecture: any
Multi-Arch: same
Depends: texmacs-bin, texmacs-base, texmacs-doc, ${misc:Depends}
Description: WYSIWYG scientific text editor using TeX fonts
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This dependency package provides a standard TeXmacs installation.

Package: texmacs-bin
Replaces: texmacs (<< 1:2.1.4+ds)
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: any
Multi-Arch: same
Depends:
 ghostscript,
 groff,
 plocate | locate,
 texlive-base,
 texlive-extra-utils,
 texlive-font-utils,
 aspell | ispell,
 texmacs-base (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 imagemagick,
 libjpeg-progs | libjpeg-mmx-progs,
 librsvg2-bin,
 libtiff-tools,
 netpbm,
 xfig,
 fig2ps,
 wget,
 locales
Suggests:
 tinyscheme,
 xvfb,
 xauth
Enhances:
## clisp,
## eukleides,
## plantuml,
## inkscape,
## asymptote,
 axiom,
 maxima,
 octave,
 pari-gp,
 python3-sympy,
 r-base,
 sagemath,
 scilab,
 fricas,
 xcas,
 yacas
Description: WYSIWYG scientific text editor using TeX fonts -- binaries
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the architecture dependent files.

Package: texmacs-base
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 libgs10-common,
 r-api-4.0,
 texmacs-texmf (= ${source:Version}),
 gnome-icon-theme,
 ${misc:Depends}
Recommends: texmacs-bin (= ${source:Version})
##Suggests: python3
Description: WYSIWYG scientific text editor using TeX fonts -- base
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the architecture-independent files.

Package: texmacs-texmf
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: all
Multi-Arch: foreign
Depends:
 texlive-base,
 fonts-stix,
 fonts-texgyre,
 fonts-texgyre-math,
 texlive-fonts-recommended,
 texlive-fonts-extra,
 texlive-lang-greek,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-lang-european,
 texlive-latex-extra,
 texlive-science,
 texlive-pictures,
 fonts-linuxlibertine,
 cm-super,
 fonts-texmacs (= ${source:Version}),
 ${misc:Depends}
Recommends:
 texmacs-bin (= ${source:Version})
Suggests: feynmf
Description: WYSIWYG scientific text editor using TeX fonts -- TeXMF
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package provides the TeXMF related material.

Package: fonts-texmacs
Breaks: texmacs (<< 1:2.1.4+ds)
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: WYSIWYG scientific text editor using TeX fonts -- fonts
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains TeXmacs fonts based on Adobe fonts.

Package: texmacs-doc
Breaks: texmacs (<< 1:2.1.4+ds)
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: texmacs-base (= ${source:Version})
Recommends: giac-doc
Suggests: texmacs-bin (= ${source:Version})
Description: WYSIWYG scientific text editor using TeX fonts -- documentation
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the documentation along with examples.
