=== debian/tests/control ===
Test-Command:  xvfb-run texmacs --version
Depends: xvfb, xauth, texmacs, texmacs-doc
